var IContributableMenu;
(function (IContributableMenu) {
    /** The global command palette. */
    IContributableMenu["CommandPalette"] = "commandPalette";
    /** The global navigation bar in the application. */
    IContributableMenu["GlobalNav"] = "global/nav";
    /** The title bar for the current document. */
    IContributableMenu["EditorTitle"] = "editor/title";
    /** A directory page (including for the root directory of a repository). */
    IContributableMenu["DirectoryPage"] = "directory/page";
    /** The hover tooltip. */
    IContributableMenu["Hover"] = "hover";
    /** The panel toolbar. */
    IContributableMenu["PanelToolbar"] = "panel/toolbar";
    /** The search results toolbar. */
    IContributableMenu["SearchResultsToolbar"] = "search/results/toolbar";
    /** The help menu in the application. */
    IContributableMenu["Help"] = "help";
})(IContributableMenu || (IContributableMenu = {}));
/** The containers to which an extension can contribute views. */
const ContributableViewContainer = {
    /**
     * A view that is displayed in the panel for a window.
     *
     * Clients: The client should render this as a resizable panel in a window, with multiple tabs to switch
     * between different panel views.
     */
    Panel: 'window/panel',
    /**
     * A global page view, displayed as a standalone page at `/views/ID`.
     */
    GlobalPage: 'global/page',
    /**
     * A view contributed to directory pages.
     */
    Directory: 'directory',
    /**
     * A view contributed to the area on the homepage below the search box.
     */
    Homepage: 'homepage',
    /**
     * A view contributed to the dashboard on the insights page.
     */
    InsightsPage: 'insightsPage',
};export{ContributableViewContainer,IContributableMenu};